/*
Theme Name: oceanwp-child
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 3.3.0c
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

body, html {
 font-family: 'Libre Baskerville', sans-serif;
}


/* hide view basket link next to Add to basket button */
a.added_to_cart {display:none !important}

/* Az aktív menüpont hover állapota ne változzon */
.current-menu-item > a:hover,
.current_page_item > a:hover {
  background-color: inherit !important;
  color: inherit !important;
  cursor: default !important;
  pointer-events: none;
}

/** general button settings **/
.elementor-button, 
.add_to_cart_button,
.button{
	font-family: 'Libre Baskerville', sans-serif !important;
	color: #faf5e4 !important;
	background-color: #a3723b !important;
	box-shadow: 0 6px 18px rgba(163, 114, 59, 0.5) !important;
	border-radius: 15px !important;
}

.elementor-button:hover, 
.add_to_cart_button:hover,
.button:hover{
	background-color: #c58b4e !important;
	box-shadow: 0 6px 18px rgba(197, 139, 78, 0.5) !important;
}

.elementor-button:active, 
.add_to_cart_button:active,
.button:active{
	background-color: #7e5427 !important;
	box-shadow: 0 6px 18px rgba(126, 84, 39, 0.5) !important;
	border: none;
}
/** end general button settings **/

/** go back button settings **/
.alg_back_button_input {
  border-radius: 15px;
}
/** end go back button settings **/

/* general image setting */
.elementor-widget-container img {
	display: block !important;
	margin: -11px !important;
}
/* end general image setting */


/** sticky column **/
.sticky-parent 
.elementor-widget-wrap{
display: block!important; 
}
.sticky-column{
position: sticky;
position: -webkit-sticky;
top: 4rem;
}
/* hide menu column in mobile view*/
@media (max-width: 750px) {
	.sticky-parent {
		display: none;
	}
}
/* end hide menu column in mobile view*/


/** footer link **/
.elementor-social-icon-instagram{
	background: linear-gradient(45deg, #833AB4, #E1306C, #F77737);
}

.elementor-social-icon-tiktok{
	background-color: black !important;
}

p a.sblonde_footer_link{
	color: #d4a055 !important;
	font-weight: bold;
}
p a.sblonde_footer_link:hover{
	color: #e4b670 !important;
	text-decoration: underline !important;
	text-decoration-color: #e4b670 !important;
}
/** end footer link **/

/* 🌐 Globe ikon az aktuális nyelv elé a Polylang menüben */
.pll-parent-menu-item > a.menu-link::before {
    content: "\f0ac";  /* Globe ikon Font Awesome-ból */
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 6px;
    vertical-align: middle;
	padding-bottom: 0.25em;
}

/* end polylang globe */


/* polylang colors */
.lang-item-sub-menu {
    background-color: #1e0506 !important; /* saját háttérszín */
}

/* A linkek színe */
.lang-item a {
    color: #faf5e4 !important;
}

/* Hover link szín */
.lang-item a:hover {
    color: #faf5e4 !important;
    background-color: #c58b4e !important;
}
/* polylang colors */

/** commercial buttons **/
.add_to_cart_button.ajax_add_to_cart{
	background: #b1a14d !important;
	border: none !important;
	box-shadow: 0px 6px 18px 0px rgba(177, 161, 77, .5) !important;
}
.add_to_cart_button.ajax_add_to_cart:hover{
	background: #d1c468 !important;
		box-shadow: 0px 6px 18px 0px rgba(209, 196, 104, .5) !important;
}
.add_to_cart_button.ajax_add_to_cart:focus{
	background: #d1c468 !important;
	color: #faf5e4 !important;
	outline: none !important;
	box-shadow: 0px 6px 18px 0px rgba(209, 196, 104, .5) !important;
}
/** end commercial buttons **/

/** Add to cart button View cart link **/
a.added_to_cart {display:none !important}
/** end Add to cart button View cart link **/

/** mini cart **/

.icon-handbag{
	color: #b1a14d;
}

/* nyilacska a táska ikon mellett */
.wcmenucart-details.count::before{
	border-right-color: #b1a14d !important;
}
.wcmenucart-details.count{
	color: #faf5e4;
	background-color: #b1a14d !important;
	}

.current-shop-items-dropdown{
	border-color: #faf5e4 !important;
}

.owp-grid{
	border-right-color: #1e0506 !important;
}

.owp-grid a img{
	box-shadow: none;
}

.woocommerce-mini-cart__total strong{
	font-size: 16px !important;
	font-weight: 900 !important;
}

/* CART and CHECKOUT buttons */

.wc-forward{
	border-radius: 5px;
	color: #faf5e4;
	background-color: #b1a14d !important;
	border: none;
}

.wc-forward:hover{
	background-color: #d1c468 !important;
}


.woocommerce-mini-cart__empty-message{
	color: #717171;
}

/** end mini cart **/


/** cart page **/
div.cart-empty.woocommerce-info{
	color: #faf5e4 !important;
	border-color: #8c6239;
}

div.cart-empty.woocommerce-info::before{
	color: #8c6239 !important;
}

.woocommerce-message{
	color: #b28b5c !important;
	border-color: #b28b5c !important;
}

.woocommerce-message::before{
	color: #b28b5c !important;
}

p#coupon-error-notice.coupon-error-notice{
	color: red !important;
}

/* product table corners */
.woocommerce-cart-form__contents{
	border-collapse: separate;
	border-spacing: 0px;
	border-radius: 5px;
}
/* product header colors */
.woocommerce-cart-form__contents thead tr{ 
	background-color: #1e0506;
	color: #faf5e4;
}
/* product header corners */
.woocommerce-cart-form__contents thead tr th.product-remove{ 
	border-collapse: separate;
	border-spacing: 0px;
	border-radius: 5px 0 0 0;
}
.woocommerce-cart-form__contents thead tr th.product-subtotal{ 
	border-collapse: separate;
	border-spacing: 0px;
}
/* product name */
th.product-name a{
	text-transform: none;
}
th.product-name{
	border-color:  #faf5e4 !important;
	}

a.no-lightbox img.attachment-woocommerce_thumbnail{
	box-shadow: none !important;
}

.amount{
	color:#faf5e4 !important;
}

/* minus box */
.minus{
	border-radius:5px 0 0 5px !important;
	color: #b1a14d !important;
	border-color: #b1a14d !important;
}

/* mennyiség box */
td.product-quantity input.qty {
	color: #b1a14d !important;
	border-color: #b1a14d !important;
}
/* plus box */
.plus{
	border-radius:0 5px 5px 0 !important;
	color: #b1a14d !important;
	border-color: #b1a14d !important;
}
/* coupon code border */
#coupon_code.input-text{
	border-color: #8c6239;
}
#coupon_code.input-text::placeholder{
	color: #b28b5c;
}

/* coupon button*/
button[name="apply_coupon"]{
	background-color: #b1a14d !important;
	border-color: #b1a14d !important;
	border-radius: 5px;
}
button[name="apply_coupon"]:hover{
	background-color: #d1c468 !important;
	border-color: #d1c468 !important;
}
button[name="apply_coupon"]:focus{
	outline: none !important;
}

/* Basket total borders */
.cart_totals{
	border-collapse: separate;
	border-spacing: 0px;
	border-radius: 5px;
}
.cart_totals h2{
	border-collapse: separate;
	border-spacing: 0px;
	border-radius: 5px 5px 0 0;
}

/* hide Subtotal and VAT in Basket Totals table */
.shop_table_responsive tbody tr.cart-subtotal, .shop_table.shop_table_responsive tbody tr.tax-total{
	display: none;
}
/* hide borders in Basket Total */
div.cart_totals table.shop_table.shop_table_responsive tbody tr.order-total th, div.cart_totals table.shop_table.shop_table_responsive tbody tr.order-total td{
	border-style: none;
}
/* procedd to checkout button */
.checkout-button{
	background-color: #b1a14d !important;
	border-color: #b1a14d !important;
	border-radius: 5px;
}
.checkout-button:hover{
	background-color: #d1c468 !important;
	border-color: #d1c468 !important;
}
.checkout-button:focus{
	outline: none !important;
}
/* end procedd to checkout button */ 
/* Basket undo */
.woocommerce-message{
	border-color: #717171;
	border-radius: 5px;
}
.woocommerce-message::before{
	color: #be7070;
}
.restore-item{
	border-radius: 15px;
}
/* end Basket undo */
/** end cart page **/

/** checkout page **/

.input-text, span.select2-selection.select2-selection--single{
	background-color: #2a0a0a !important;
	border-color: #8c6239 !important;
}

.input-text::placeholder, span.select2-selection.select2-selection--single::placeholder{
	color:#b28b5c;
}

.input-text:focus, span.select2-selection.select2-selection--single:focus{
	border-color: red;
}

span.select2-selection__rendered{ 
	color: #faf5e4 !important;
}

.select2-selection__arrow b{
	border-top-color: #faf5e4 !important;
}

.select2-results{
	background-color: #2a0a0a !important;
	color: #faf5e4;
}
.select2-results::placeholder{
	color:#b28b5c;
}

.select2-search__field{
	background-color: #2a0a0a;
	color:#faf5e4;
}

li.select2-results__option.select2-results__option--highlighted{
	background-color: #c58b4e !important;
}

.select2-container--default .select2-results__option[data-selected="true"]{
	background-color: #faf5e4;
	color: #1e0506;
}

body.woocommerce-cart .woocommerce, body.woocommerce-checkout .woocommerce {
    max-width: 90% !important;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
}
/* country, county text color */
.select2-selection__rendered{
	color: #1e0506 !important;
}
.select2-selection__placeholder{
	color: #b28b5c !important;
}
/* product table header */
.woocommerce-checkout-review-order-table thead th{
	color: #f2dede !important;
	background-color: #1e0506 !important;
}
/* product table border */
div#order_review.woocommerce-checkout-review-order table.shop_table{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 5px;
}
div#order_review.woocommerce-checkout-review-order table.shop_table thead th.product-name{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 5px 0 0 0;
	border-right: none;
}
div#order_review.woocommerce-checkout-review-order table.shop_table thead th.product-total{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 0 5px 0 0;
	border-left: none;
}
/* product table */
div#order_review.woocommerce-checkout-review-order table.shop_table tbody tr.cart_item td.product-name, div#order_review.woocommerce-checkout-review-order table.shop_table tbody tr.cart_item td.product-total{
  background-color: #1e0506;
	border-bottom: 1px solid #faf5e4;
	color: #faf5e4;
	text-transform: none;
}
/* hide subtotal and VAT */
div#order_review.woocommerce-checkout-review-order table.shop_table tfoot tr.cart-subtotal, div#order_review.woocommerce-checkout-review-order table.shop_table tfoot tr.tax-total{
  display: none;
}
/* payment method radio button */
div#payment label{
	background-color: #1e0505;
}
div#payment ul.payment_methods .wc_payment_method > label::before,
div#payment ul.payment_methods .wc_payment_method > label{
	color: #d4a055 !important;
}
div#payment ul.payment_methods .wc_payment_method > input[type="radio"]:first-child:checked + label::before{
	color: #d4a055 !important;
}
/* credit card field */
/* Kártyaszám input környezete */
#stripe-card-element.StripeElement.empty {
background: #ffffff30 !important;
}

.payment_box{
	font-size: 1em !important;
}
.wcpay-card-mounted{
	background-color: red !important;
	border-color: #faf5e4 !important;
	border-radius: 5px;
}
/* end credit card field */
/* hide Save payment... checkbox */
.woocommerce-SavedPaymentMethods-saveNew{
	display: none;
}
/* place order button */
#place_order{
	background-color: #b1a14d !important;
}
#place_order:hover{
	background-color: #d1c468 !important;
}
#place_order:focus{
	outline: none !important;
}
/* end place order button */

/* error messages */
.woocommerce-error > li > a{
	/* transparent */
	background-color: rgba(255,255,255,0) !important;
	color: #faf5e4;
}
.checkout-inline-error-message{
	color: #faf5e4;
}
/* end error messages */
/** end checkout page **/

/** order-received page **/
/* thank you text */
.woocommerce-thankyou-order-received{
	color: #faf5e4 !important;
}
/* thank you order details */
div.woocommerce-order ul.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details{
	border: 1px solid #faf5e4;
	color: #faf5e4;
	border-radius: 5px;
}
/* downloads table borders */
.woocommerce-table--order-downloads{
	border-collapse: separate;
	border: 1px solid #faf5e4 !important;
	border-radius: 5px;
}
/* downloads header */
.woocommerce-table--order-downloads.shop_table.shop_table_responsive.order_details thead tr th{ 
	color: #faf5e4 !important;
	background-color: #1e0506;
	text-align: center;
}
/*
.woocommerce-table--order-downloads thead th.download-product{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 5px 0 0 0;
}
.woocommerce-table--order-downloads thead th.download-file{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 0 5px 0 0;
}
*/
/* downloads text border */
.woocommerce-table--order-downloads tbody tr td{
	border-collapse: separate;
	border-bottom: none;
	text-align: center;
}

/* downloads text */
div.woocommerce div.woocommerce-order section.woocommerce-order-downloads table.woocommerce-table.woocommerce-table--order-downloads.shop_table.shop_table_responsive.order_details tbody tr{
	color: #faf5e4;
}
div.woocommerce div.woocommerce-order section.woocommerce-order-downloads table.woocommerce-table.woocommerce-table--order-downloads.shop_table.shop_table_responsive.order_details tbody tr td.download-product a{
	text-transform: none !important;
}
/* order details border */
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 5px;
}
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details thead th{
	color: #faf5e4 !important;
	background-color: #1e0506;
	text-align: center;
}
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tbody tr td{
	text-align: center;
}
/*
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details thead th.product-name{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 5px 0 0 0;
}
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details thead th.product-total{
	border-collapse: separate;
	border: 1px solid #faf5e4;
	border-radius: 0 5px 0 0;
}
*/
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tfoot tr th, div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tfoot tr td{
	border-collapse: separate;
	border-bottom: none !important;
}
/* product quantity */
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tbody tr.woocommerce-table__line-item.order_item td.woocommerce-table__product-name.product-name strong.product-quantity{
	color: #faf5e4;
}
/* payment method */
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tfoot tr td{
	color: #faf5e4;
	text-align: center;
}
/* order details footer background */
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tfoot tr th{
	color: #faf5e4;
	background-color: #1e0506;
	border-bottom: 1px solid #faf5e4;
}
/* hide subtotal and VAT */
.woocommerce-table--order-details > tfoot:nth-child(3) > tr:nth-child(1), .woocommerce-table--order-details > tfoot:nth-child(3) > tr:nth-child(2){	display: none;
}
/* total value */
div.woocommerce div.woocommerce-order section.woocommerce-order-details table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tfoot tr td span.woocommerce-Price-amount.amount{
	font-weight: bold;
}

.custom-order-again a{
	background: #b1a14d !important;
	border: none !important;
	box-shadow: 0px 6px 18px 0px rgba(177, 161, 77, .5) !important;
}
/** end order-received page **/

/* SBL */
.sbl-button {
  display: block;
  background-color: #a3723b;
  color: #faf5e4;
  text-decoration: none;
  text-align: center;
  border-radius: 12px;
  line-height: 1.6;
  border: none;
  cursor: pointer;

  width: 40em;
  max-width: 90%;
  padding: 1.2em 1.5em;

  margin: 0 auto;

  box-shadow: 0 6px 18px rgba(163,114,59,.5);
  transition: background-color .3s ease, box-shadow .3s ease;
}

.sbl-button:hover {
	background-color: #c58b4e;
	border-color:#c58b4e;
	color:#faf5e4;
	box-shadow: 0px 6px 18px 0px rgb(197, 139, 78, 0.5);
}

.sbl-button:active {
color: #faf5e4;
	background-color:#7e5427;
	border-color:#7e5427;
	box-shadow: 0px 6px 18px 0px rgb(126, 84, 39, 0.5);
}

.sbl-button:focus {
  outline: 2px solid #c58b4e; /* világosabb fókuszszín */
  outline-offset: 3px;        /* kis távolság a gombtól */
  box-shadow: 0 0 8px rgba(197, 139, 78, 0.6);
}

/* end SBL */
